/* wptJPG.h - Routins four showing JPG picture files
 *	Copyright (C) 2001 Dr.Yovav Gad <Sources@SuperMain.com>
 *	Copyright (C) 2005 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PTD; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef WPT_JPG_H
#define WPT_JPG_H 1

class CJPG
{
private:
    LONG m_Height; /* height (in pixels ignore what current device context uses) */
    LONG m_Weight; /* size of the image object in bytes (file OR resource) */
    LONG m_Width;  /* width (in pixels ignore what current device context uses) */

    IPicture* m_IPicture; /* Same As LPPICTURE (typedef IPicture __RPC_FAR *LPPICTURE)*/

public:
    CJPG ();	
    virtual ~CJPG ();

    void freePictureData ();
    BOOL load (LPCSTR sFilePathName);
    BOOL loadPictureData (BYTE* pBuffer, int nSize);
    BOOL show (HDC pDC, POINT *leftTop, POINT *widthHeight, 
	       int magnifyX, int magnifyY);
    BOOL updateSizeOnDC (HDC pDC);

    LONG getHeight (void);
    LONG getWeight (void);
    LONG getWidth (void);
};

#endif /*WPT_JPG_H*/
